Bug 11412 - Bulkmarcimport can crash when searching for duplicates
Summary: Bulkmarcimport can crash when searching for duplicates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Target Milestone: ---
Assignee: Matthias Meusburger
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-18 10:18 UTC by Matthias Meusburger
Modified: 2015-06-04 23:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
proposed patch (1.31 KB, patch)
2013-12-18 10:23 UTC, Matthias Meusburger
Details | Diff | Splinter Review
proposed patch (1.39 KB, patch)
2013-12-18 10:47 UTC, Matthias Meusburger
Details | Diff | Splinter Review
Bug 11412: Bulkmarcimport can crash when searching for duplicates in authorities (1.68 KB, patch)
2013-12-22 20:45 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 11412: Bulkmarcimport can crash when searching for duplicates in authorities (1.91 KB, patch)
2013-12-26 12:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Meusburger 2013-12-18 10:18:46 UTC
bulkmarcimport.pl can crash when searching for duplicates if the 005 field from the incoming or local record is not defined.
Comment 1 Matthias Meusburger 2013-12-18 10:23:40 UTC Comment hidden (obsolete)
Comment 2 Matthias Meusburger 2013-12-18 10:47:30 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2013-12-22 20:45:48 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-12-26 12:39:43 UTC
Created attachment 23819 [details] [review]
[PASSED QA] Bug 11412: Bulkmarcimport can crash when searching for duplicates in authorities

bulkmarcimport.pl can crash when searching for duplicates if the 005 field from
the incoming or local record is not defined. This patch fixes it.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Test plan
1/ Create a record with no 005 field
2/ Try to import it checking for duplicates, notice it crashes
3/ Try with a record with a 005 field, but the one in Koha missing
one, still crashes
4/ Apply patch
5/ No more crash

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests and QA script.
Patch fixes the problem described for importing authorities
with the bulkmarcimport.pl when trying to match with existing
records.
Comment 5 Katrin Fischer 2013-12-26 12:40:21 UTC
And a special thanks to Galen for http://galencharlton.com/blog/2013/10/introducing-the-next-new-marc-editor-vim/ :)
Comment 6 Galen Charlton 2013-12-26 15:54:15 UTC
Pushed to master.  Thanks, Matthias!
Comment 7 Fridolin SOMERS 2014-01-16 16:38:59 UTC
Patch pushed to 3.14.x, will be in 3.14.2.
Comment 8 Tomás Cohen Arazi 2014-02-07 14:57:57 UTC
This patch has been pushed to 3.12.x, will be in 3.12.11.

Thanks Matthias!